<?
session_start();
if ($_SESSION['estado'] != "ON")
		{
		?>
		<script>
			parent.location.href = 'index.php';
		</script>
		<? 
		exit();
		}
$id_empresa = $_SESSION['ss_empresa'];          // **************  03/12/10 ***************
$id_user = $_SESSION['ss_user'];

$lstpago=1;
$id_autoriza=83;

/*Sesiones*/
include("../conex.php");
include("../autoriza.php");
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>Ventas_netbook</title>
</head>
<form id="form1" name="form1" method="post" action="">
<?
$id_bodega_origen= $_POST["bodega_origen"];
if ($id_bodega_origen=='' || $id_bodega_origen==0) $id_bodega_origen=1;
$id_bodega_destino= $_POST["bodega_destino"];
if ($id_bodega_destino=='' || $id_bodega_destino==0) $id_bodega_destino=1;
$fecha= $_POST["txtfecha"];

$sql_vendedor = "SELECT * FROM bodega WHERE id=$id_bodega_origen";
	$res_vendedor = mysql_query($sql_vendedor,$enlace);
        $origen=mysql_result($res_vendedor, 0, "descripcion");
$sql_vendedor = "SELECT * FROM bodega WHERE id=$id_bodega_destino";
	$res_vendedor = mysql_query($sql_vendedor,$enlace);
        $destino=mysql_result($res_vendedor, 0, "descripcion");		
/********************************** Datos vendedor ******/
	$sql_vendedor = "SELECT * FROM usuarios WHERE  usuarios.id=$id_user";
	$res_vendedor = mysql_query($sql_vendedor,$enlace);
        $usuario=mysql_result($res_vendedor, 0, "user");
 
//******************************** Datos Empresa ******** seleccionar cual empresa  es el ingreso  en sesion******/
	$sql_empresa = "SELECT * FROM empresa WHERE id=$id_empresa;";
	$res_empresa = mysql_query($sql_empresa,$enlace);
	
		$empresa_nombre=mysql_result($res_empresa, 0, "nombre");

//*************************** Busca numero documento *******************************************/	

	$sql_par = "SELECT correlativo FROM tipo_dcto_num_bodega  WHERE id_bodega = $id_bodega_origen AND id_dcto=17";
	$res_par = mysql_query($sql_par,$enlace);	
	
		$txtndcto=mysql_result($res_par, 0, "correlativo");
		$txtndcto+=1;
	
//*************************** fecha y hora ******************************************/	
		
    	 $hora = date('H:i:s');
		 $fecha_dia = date('Y')."/".date('m')."/".date('d');  
		 
?>



<table width="503" align="center" border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td width="63"><div align="center"><img src="../Images/logo.png" width="60px" height="60px" /></div></td>
	<td width="75"><div align="left"><font size="1">
  
	  <?=$empresa_nombre?>
     
	</font></div>	</td>
    <td width="141"> <div align="center"> Traspaso N&ordm; <?=$txtndcto;?>   </div>   </td>
    <td width="224"> <div align="center"> Fecha:<?=$fecha;?> <?=$hora;?>
    </div>     </td>
  </tr>
</table>

<table width="828" border="1" align="center"  cellpadding="0" cellspacing="0">
  <tr>
   <td width="257">Bodega Origen:  <?=$origen;?> </td>
  
   <td width="368" >Bodega Destino:  <?=$destino;?></td>
   
    <td width="195"> <div align="center"> Usuario:  <?=$usuario;?>   </div>   </td>
   
      
   
  </tr>
  
 </table>

<table width="550" border="1" align="center" cellpadding="0" cellspacing="0" bordercolor="#000000">
<tr bgcolor="#000000"> 
	  <td width="5%"><div align="center"><strong><font color="#FFFFFF" face="Arial, Helvetica, sans-serif">Cant.</font></strong></div></td>
	 <td width="5%"><div align="center"><strong><font color="#FFFFFF" face="Arial, Helvetica, sans-serif">Saldo</font></strong></div></td>
     <td width="5%"><div align="center"><strong><font color="#FFFFFF" face="Arial, Helvetica, sans-serif">Peso</font></strong></div></td>
     <td width="5%"><div align="center"><strong><font color="#FFFFFF" face="Arial, Helvetica, sans-serif">Codigo</font></strong></div></td>
	  <td width="50%"><div align="center"><strong><font color="#FFFFFF" face="Arial, Helvetica, sans-serif">Detalle</font></strong></div></td>
	 <td width="10%"><div align="center"><strong><font color="#FFFFFF" face="Arial, Helvetica, sans-serif">Precio</font></strong></div></td>
     
     <td width="17%"><div align="center"><strong><font color="#FFFFFF" face="Arial, Helvetica, sans-serif">Totales</font></strong>es</div></td>
    
    </tr>
<? 
$totalkilos=0;
$txtst=0;
$totales=0;
          $sql_pro = "select codigo, descripcion, precio, saldo, peso FROM productos WHERE empresa=$id_empresa AND cod_familia<>14 AND activo=1 ORDER BY descripcion ASC";


		  	$res_pro = mysql_query($sql_pro,$enlace);	
			$cant=0;
			
	while (mysql_fetch_object ($res_pro))

	{
	$cantidad[$cant] ='';
	$codigo[$cant] = mysql_result($res_pro, $cant, "codigo");
	
	//******************  Saldo Bodega ************************************
		$saldo=0;
		  
$sqlfs = "SELECT entrada_salida_traspaso, cantidad FROM movimiento  WHERE cod_producto=$codigo[$cant] AND tipo_dcto<>3  AND tipo_dcto<>5 AND bodega=$id_bodega_origen";

  	$resfs = mysql_query($sqlfs,$enlace);	

	$cont=0;
	while (mysql_fetch_object ($resfs))
 			{				
				$entrada_salida= mysql_result($resfs, $cont, "entrada_salida_traspaso");
				$canti= mysql_result($resfs, $cont, "cantidad");
			
				if ($entrada_salida == "E") 
				{
					$saldo+=$canti;
				}
				else
				{
				    $saldo-=$canti;
				}
			$cont+=1;
			}
						

	//**************  saldo NV no facturadas ***********************

		  	$sqlfs = "SELECT entrada_salida_traspaso, cantidad FROM movimiento, salida  WHERE cod_producto=$codigo[$cant] AND (movimiento.tipo_dcto=3 OR movimiento.tipo_dcto=5) AND id_soe=salida.id AND documento_control is Null  AND movimiento.bodega=$id_bodega_origen ";
		

		  	$resfs = mysql_query($sqlfs,$enlace);	

			$cont=0;
			while (mysql_fetch_object ($resfs))
 				{
				
				$entrada_salida= mysql_result($resfs, $cont, "entrada_salida_traspaso");
				$canti= mysql_result($resfs, $cont, "cantidad");
			
				if ($entrada_salida == "E") {
					$saldo+=$canti;
				}
				else
				{
				$saldo-=$canti;
				}

			$cont+=1;
			}
	//*******************************************************
	
	$auxsaldo[$cant] = $saldo;   //mysql_result($res_pro, $cant, "saldo");
	$peso[$cant] = mysql_result($res_pro, $cant, "peso");
	
	$detalle[$cant] = mysql_result($res_pro, $cant, "descripcion");
	$desc[$cant] = 0;
	$precio[$cant] = mysql_result($res_pro, $cant, "precio");
		
	?>
	
   <tr> 
		
      
		<td width="9%"><div align="center"><strong><font color="#333333" face="Arial, Helvetica, sans-serif">
	<input name="cantidad[<?=$cant;?>]" id="cantidad[<?=$cant;?>]" type="text" value="<?=$cantidad[$cant];?>"  style="text-align:center;width:40%" onKeyPress="return validanum2(event,'<?=$cant;?>')" onBlur="calculo('<?=$cant;?>');" >        
	</font></strong></div></td>	 
    
      <td width="9%">		  	
<div align="center"><strong><font color="#333333" face="Arial, Helvetica, sans-serif">
			<input name="auxsaldo[<?=$cant;?>]" id="auxsaldo[<?=$cant;?>]" type="text" value="<?=$auxsaldo[$cant];?>" readonly="1" style="text-align:center;font-size:14px;width:100%">
	  </font></strong></div>  </td> 
      <td width="9%">		  	
<div align="center"><strong><font color="#333333" face="Arial, Helvetica, sans-serif">
			<input name="peso[<?=$cant;?>]" id="peso[<?=$cant;?>]" type="text" value="<?=$peso[$cant];?>"  readonly="1" style="text-align:center;font-size:14px;width:100%">
	  </font></strong></div>  </td> 
      <td width="9%">		  	
<div align="center"><strong><font color="#333333" face="Arial, Helvetica, sans-serif">
			<input name="codigo[<?=$cant;?>]" id="codigo[<?=$cant;?>]" type="text" value="<?=$codigo[$cant];?>" readonly="1" style="text-align:center;font-size:14px;width:100%">
	  </font></strong></div>  </td> 
      
	<td width="42%">		  	
<div align="center"><strong><font color="#333333" face="Arial, Helvetica, sans-serif">
			<input name="detalle[<?=$cant;?>]" id="detalle[<?=$cant;?>]" type="text" value="<?=$detalle[$cant];?>" readonly="1" style="font-size:14px;width:100%">
	  </font></strong></div>  </td>
	<td width="10%">		  	
<div align="center"><strong><font color="#333333" face="Arial, Helvetica, sans-serif">
  <input name="precio[<?=$cant;?>]"  id="precio[<?=$cant;?>]" type="text" value="<?=$precio[$cant];?>" readonly="1" style="text-align:center;font-size:14px;width:98%" />
</font></strong></div>  </td>

<td width="20%">		  	
<div align="right"><strong><font color="#333333" face="Arial, Helvetica, sans-serif">
			<input name="total[<?=$cant;?>]" id="total[<?=$cant;?>]" type="text" value="<?=$precio[$cant]*$cantidad[$cant];?>"  readonly="1" style="text-align:center;font-size:14px;width:98%">
	  </font></strong></div>  </td>	
	
    </tr>      
	<? 
	$cant+=1;
	}
	?>
    <tr>    	
   <td>Total</td>
	  <td> kilos</td>
	  <td><strong><font color="#333333" face="Arial, Helvetica, sans-serif">
	    <input name="totalkilos" id="totalkilos" type="text" value="<?=$totalkilos;?>" style="text-align:center;width:95%" />
	  </font></strong></td>
     <td>Lineas  <input name="lineas" id="lineas" type="text" value="<?=$lineas;?>" style="text-align:center;font-size:14px;width:60%"></td>
      <td> </td>
	  <td><div align="left">Total</div></td>
    <td width="14%" align="right"><strong><font color="#333333" face="Arial, Helvetica, sans-serif">
	    <input name="txtst" id="txtst" type="text" value="<?=$txtst;?>" style="text-align:center;font-size:14px;width:98%">
		</font></strong></td>
	</tr>



    </table>
    
<table width="100" border="0" align="center" cellpadding="0" cellspacing="0">
	<tr>
	  <td width="35%">&nbsp;</td>
		<td width="10%" align="center">	<input type="button" name="Guardar" value="Guardar" onClick="fun_guardar();"> </td>
        <td width="10%" align="center">	<input type="button" name="Imprime" value="Imprime" onClick="fun_imprime();" disabled="disabled"></td>
        <td width="10%" align="center">	<input type="button" name="Salir" value="Salir" onClick="fun_salir();"></td>
		<td width="35%">&nbsp;</td>
    </tr>
</table>
<input name="txtndcto" type="text" id="txtndcto" value="<?=$txtndcto;?>" style="visibility:hidden" size="1" />
<input name="id_bodega_origen" id="id_bodega_origen" type="text" value="<?=$id_bodega_origen;?>" style="visibility:hidden"  size="1"  />
<input name="id_bodega_destino" id="id_bodega_destino" type="text" value="<?=$id_bodega_destino;?>" style="visibility:hidden"  size="1"  />
<input name="fecha" type="text" id="fecha" value="<?=$fecha;?>" style="visibility:hidden" size="1" />
<input name="fecha2" type="text" id="fecha2" value="<?=$fecha;?>" style="visibility:hidden" size="1" />
<input name="hora" type="text" id="hora" value="<?=$hora;?>" style="visibility:hidden" size="1" />
<input name="lstpago" type="text" id="lstpago" value="<?=$lstpago;?>" style="visibility:hidden" size="1" />

</form>
</body>
</html>


<script language="Javascript">
<!--
var nav4 = window.Event ? true : false;

function validanum(evt)
	{
	var key = nav4 ? evt.which : evt.keyCode;
	return (key < 13 || (key >= 48 && key <= 57));
	}
function validanum2(evt)
	{
	var key = nav4 ? evt.which : evt.keyCode;
	return (key < 13 || (key >= 48 && key <= 57) || key==46);
	}
function vnum(evt)
	{
	var key = nav4 ? evt.which : evt.keyCode;
	return (key < 13 || (key >= 48 && key <= 57));
	}
	
		
function fun_salir()
	{		
	window.top.open('','_parent','');window.top.close();
	}
function fun_imprime()
	{	
	document.form1.action='imprime_traspaso.php?cnt=<?=$cant?>';
	document.form1.target="_blank";
	document.form1.submit();
	}	
	
function fun_guardar()
	{
	
	if (document.getElementById("id_bodega_origen").value==0 || document.getElementById("id_bodega_destino").value==0  || document.getElementById("id_bodega_origen").value== document.getElementById("id_bodega_destino").value)
	{alert ("Revisar bodega_origen y destino ");	
	}
	else
	{
	
	var con=<?=$cant?>;
	
	if (con!=0)
		{	
		
	var jsi,jsf;
	jsf=0;
	for (jsi=0;jsi<con;jsi++)
		{
		if (document.getElementById("cantidad["+jsi+"]").value!='')
			{
			jsf+=1;
			}
		}
		if (jsf==0)
		   {alert ("Traspase productos");
		   }
		else	
		  {
		 
        			
				 document.form1.action='guarda.php?cnt=<?=$cant?>';
				 document.form1.target='_blank';
				setTimeout('document.form1.submit();',500);		
				
		  }
	  }
	}
  }
function calculo(donde)
	{
	var cantidad, kilos, precio, desc, peso, total, tkilos, stot, i, totaluno, totaltot, j, f1, f2, letra, result,jsi, jsuser, lineas;
	
	precio = document.getElementById("precio["+donde+"]").value;
	if (Number(document.getElementById("auxsaldo["+donde+"]").value)<Number(document.getElementById("cantidad["+donde+"]").value))
		{
	alert("La cantidad ingresada es mayor al saldo existente\n Saldo: "+document.getElementById("auxsaldo["+donde+"]").value);
		document.getElementById("cantidad["+donde+"]").value='';
		
		}
	cantidad = document.getElementById("cantidad["+donde+"]").value;
	
	if (cantidad!='' )
		{
	
		if (cantidad >= 0 && precio >0)
			{
			
		
			document.getElementById("total["+donde+"]").value=Number(cantidad)*Number(precio);
	
				result = document.getElementById("total["+donde+"]").value;	
				var valor_actual = result.split(".");
				var entero1 = Number(valor_actual[0]);
				var decimal1 = valor_actual[1];	
				if (decimal1==undefined) decimal1='11';
				decimal1=decimal1.charAt(0);
				if (decimal1>=5) entero1+=1;
				total = entero1;
				document.getElementById("total["+donde+"]").value=total;
	        lineas=0;
			total=0;
			tkilos=0;	
			for (i=0; i<<?=$cant?>; i++)
				{ kilos=0;
				stot=document.getElementById("total["+i+"]").value;
				cantidad=Number(document.getElementById("cantidad["+i+"]").value);
				peso=Number(document.getElementById("peso["+i+"]").value);
				if (cantidad>=0 && peso>=0) kilos=cantidad*peso;
				
				 if (cantidad>0) lineas+=1;
				  
				if (stot>0)
					{
					total=Number(total) + Number(stot);
					}
				if (kilos>0)
					{
					tkilos=Number(tkilos) + Number(kilos);					
					}	
					
				}
				document.form1.txtst.value=total;
				
			
			    document.form1.totalkilos.value=tkilos;
				document.form1.lineas.value=lineas;
				if (lineas>30)
				{alert("La cantidad de lineas exede el traspaso cerrar y generar otro..lineas "+document.getElementById("lineas").value);
				}
			}
		
		}
	
	}

function fun_busca()
	{	
	var i,bus
	bus=document.getElementById("busca").value;
     alert(bus);
	 for (i=0; i<<?=$cant?>; i++) 
	  {
	  
	  if (document.getElementById("codigo["+i+"]").value==bus)
	  { document.getElementById("cantidad["+i+"]").focus();}
	 
	 }
	}			
</script>